Method: projects.locations.instances.delete

Deletes a single Instance.

HTTP request

DELETE https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the resource It takes the form projects/{project}/locations/{location}/instances/{instance}.

Query parameters

Parameters
etag

string

Optional. The etag known to the client for the expected state of the instance.

requestId

string

Optional. An optional request ID to identify requests. Must be a valid UUID4.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.